<h1 align="center"> 🖥️ Mern Fullstack Login 🖥️ </h1>

<p align="center">
<img alt="Project Preview Image" src="https://user-images.githubusercontent.com/50031911/140901990-062ed3ee-f6c7-4ea2-85f1-56b126151a24.jpg" />
💡 A Fullstack Login System With Simple But Beautiful Design.
<p align="center">
<img src="https://img.shields.io/badge/Node.js-339933?style=for-the-badge&logo=nodedotjs&logoColor=white"/>
<img src="https://img.shields.io/badge/Express.js-000000?style=for-the-badge&logo=express&logoColor=white"/>
<img src="https://img.shields.io/badge/React-20232A?style=for-the-badge&logo=react&logoColor=61DAFB"/>
<img src="https://img.shields.io/badge/Redux-593D88?style=for-the-badge&logo=redux&logoColor=white"/>
<img src="https://img.shields.io/badge/Material%20UI-007FFF?style=for-the-badge&logo=mui&logoColor=white"/>
<img src="https://img.shields.io/badge/MongoDB-4EA94B?style=for-the-badge&logo=mongodb&logoColor=white"/>
<img src="https://img.shields.io/badge/JWT-000000?style=for-the-badge&logo=JSON%20web%20tokens&logoColor=white"/>
 </p>

<h1 align="center">Intro</h1>

Built On **M**ongoDB , **E**xpress , **R**eact , **N**odeJs (**MERN**) 🍔

You Can Easily Use It As **Template** For Projects With Login Access For It's **Scalable Folder Structure** 📁

Login Page Is Fully Responsive With All Devices . 📱

<h1 align="center">⚙️ This Project Uses :</h1>

- **MaterialUi** For **Design** 🎨
- **Redux** For **State Management** 💾
- **Axios** For **HTTP Calls** 💬
- **JWT** For **Token Authentication** ✅

<h1 align="center">Getting Started</h1>

### To Install Package Globally

```sh
npm i -g create-mern-login-starter
```

### To Create Starter Project

```sh
npx create-mern-login-starter <Project Name>
```

<h2 align="center">What Should I Change ?</h2>

- Backend api URL in => client/src/api/index.js
- GOOGLE_CLIENT_ID for google authentication => client/src/components/Login/Login.js
- PORT for express server => server/.env
- CONNECTION_URL for mongodb => server/.env

<hr>

Star This Repository If You Found It Usefull⭐
